This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 443257

Summary: firstboot does not run on KDE installation
Product: [Fedora] Fedora Reporter: Jon Stanley <jonstanley>
Component: firstbootAssignee: Chris Lumens <clumens>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: dakingun, frenchja, rdieter, wwoods
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-01 12:23:37 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235706, 421891    

Description Jon Stanley 2008-04-19 16:06:58 EDT
On a fresh KDE installation of 20080418 rawhide, firstboot did not run. 
Unfortunately, I just blew away that VM for some preupgrade testing, but the
steps to reproduce are essentially install with KDE and not Gnome, and watch
firstboot not run.  Let me know if there's more data I need to gather.
Comment 1 Chris Lumens 2008-04-21 08:56:18 EDT
Do you have a /etc/sysconfig/firstboot file?  If so what does it contain?  What
does chkconfig --list firstboot say?  Are there any /tmp/firstboot-* files?  If
so, please attach them to this bug report.
Comment 2 Jon Stanley 2008-04-21 09:36:45 EDT
No /etc/sysconfig/firstboot, checked that.  I'll have to do another install to
figure out the rest, the VM is gone now.
Comment 3 Jon Stanley 2008-04-21 15:19:38 EDT
Gack, of course I install again and firstboot works.  This was 20080421 rawhide,
but I don't think there were any relevant changes between the two.  I'll
experiment some more this evening.  Removing from the release blocker for now.
Comment 4 Jason 2008-04-21 16:21:32 EDT
I'll try to reproduce it this evening as well. I should still have the 421
rawhide sitting on my laptop from an unused preupgrade.
Comment 5 Will Woods 2008-04-22 14:43:18 EDT
Fresh KDE-only install from today's (20080422) rawhide did not run firstboot. 

chkconfig --list firstboot shows it being on for runlevels 3 and 5. 

There's no /etc/sysconfig/firstboot, but there is a /tmp/firstboot-XXXXXX,
containing the following traceback: 

Traceback (most recent call last):
  File "/usr/sbin/firstboot", line 170, in <module>
    moduleList = loadModules(config.moduleDir, mode)
  File "/usr/lib64/python2.5/site-packages/firstboot/loader.py", line 93, in
loadModules
    displayException(module=module)
  File "/usr/lib64/python2.5/site-packages/firstboot/exceptionWindow.py", line
95, in displayException
    ExceptionWindow(text, module=module)
  File "/usr/lib64/python2.5/site-packages/firstboot/exceptionWindow.py", line
32, in __init__
    import gtk
  File "/usr/lib64/python2.5/site-packages/gtk-2.0/gtk/__init__.py", line 79, in
<module>
    _init()
  File "/usr/lib64/python2.5/site-packages/gtk-2.0/gtk/__init__.py", line 67, in
_init
    _gtk.init_check()
RuntimeError: could not open display
Comment 6 Chris Lumens 2008-04-23 05:20:11 EDT
Oh, excellent.  I love when there's errors in the exception handling code so
that we get that traceback instead of the real cause of the problem.

However, what's really odd here is that there should be a display up and running
at this point.  Is this running with RHGB or not?
Comment 7 Jon Stanley 2008-04-23 14:28:09 EDT
Mine was, not sure about Will's
Comment 8 Chris Lumens 2008-04-25 05:02:07 EDT
This is reproducable outside of KDE-only installs.  I just hit it.
Comment 9 Chris Lumens 2008-04-30 16:22:33 EDT
I'm not seeing this any more.  Is anyone else?
Comment 10 Deji Akingunola 2008-04-30 20:33:30 EDT
I just finished a fresh rawhide (Gnome) installation, and firstboot didn't run
at first boot. I restarted the system, and it ran at second boot.
Comment 11 Will Woods 2008-05-01 12:23:37 EDT
Deji, that sounds like another problem - there's some weird race condition that
we've been trying (and failing) to reproduce reliably.

As for KDE-only installs - works fine for me.